Package com.xebialabs.xlrelease.domain.events

# Class TemplateLogoUpdatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.TemplateLogoUpdatedEvent

All Implemented Interfaces:
  `TemplateLogoEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class TemplateLogoUpdatedEvent extends Object implements TemplateLogoEvent, scala.Product, Serializable
Event published when a template logo is updated.

param: templateId the ID of the template in which the logo was created. param: templateLogo the created template logo.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplateLogoUpdatedEvent(String templateId, TemplateLogo templateLogo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TemplateLogoUpdatedEvent`
  `apply(String templateId, TemplateLogo templateLogo)`
  `boolean`
  `canEqual(Object x$1)`
  `TemplateLogoUpdatedEvent`
  `copy(String templateId, TemplateLogo templateLogo)`
  `String`
  `copy$default$1()`
  `TemplateLogo`
  `copy$default$2()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `templateId()`
  `TemplateLogo`
  `templateLogo()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple2<String,TemplateLogo>>`
  `unapply(TemplateLogoUpdatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### TemplateLogoUpdatedEvent

    public TemplateLogoUpdatedEvent(String templateId, TemplateLogo templateLogo)

- ## Method Details

  - ### apply

    public static TemplateLogoUpdatedEvent apply(String templateId, TemplateLogo templateLogo)

  - ### unapply

    public static scala.Option<scala.Tuple2<String,TemplateLogo>> unapply(TemplateLogoUpdatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### templateId

    public String templateId()

  - ### templateLogo

    public TemplateLogo templateLogo()

  - ### copy

    public TemplateLogoUpdatedEvent copy(String templateId, TemplateLogo templateLogo)

  - ### copy$default$1

    public String copy$default$1()

  - ### copy$default$2

    public TemplateLogo copy$default$2()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`